cf-agent(8)

NAME
cf-agent - cfengine's change agent

SYNOPSIS:
 cf-agent [options]

DESCRIPTION:
The main cfengine agent is the instigator of change in the system. In that sense it is the most important part of the cfengine suite. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2

--verbose, -v
    Output verbose information about the behaviour of the agent

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--version, -V
    Output the version of the software

--bootstrap, -B
    Bootstrap/repair a cfengine configuration from failsafe file in the current directory

--file, -f
    Specify an alternative input file than the default

--define, -D
    Define a list of comma separated classes to be defined at the start of execution

--negate, -N
    Define a list of comma separated classes to be undefined at the start of execution

--no-lock, -K
    Ignore locking constraints during execution (ifelapsed/expireafter) if "too soon" to run

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--diagnostic, -x
    Activate internal diagnostics (developers only)

AUTHOR
Mark Burgess and Cfengine AS

INFORMATION
Bug reports: bug-cfengine@cfengine.org Community help: help-cfengine@cfengine.org Community info: http://www.cfengine.org Support services: http://www.cfengine.com This software is (C) 2008 Cfengine AS.